#!/bin/bash
######################
## CURIE   TGCC/CEA ##
######################
#MSUB -r XIOS
#MSUB -o client_output.out    # standard output
#MSUB -e client_error.err    #error output
#MSUB -eo
#MSUB -c 1
#MSUB -n 16  # Number of MPI tasks (SPMD case) or cores (MPMD case)
#MSUB -X 
#MSUB -x 
#MSUB -T 1800      # Wall clock limit (seconds)
#MSUB -q skylake           # thin nodes
#MSUB -A devcmip6
#MSUB -Q test
#MSUB -m work

cd $BRIDGE_MSUB_PWD
module unload netcdf-c netcdf-fortran hdf5 flavor perl hdf5 boost blitz mpi gnu
module load gnu
module load mpi/intelmpi/2017.0.6.256
module load flavor/buildcompiler/intel/17
module load flavor/hdf5/parallel
module load netcdf-fortran/4.4.4
module load hdf5/1.8.20
module load boost
module load blitz
module load feature/bridge/heterogenous_mpmd
module load arm-forge
module load nco
module load cdo

export KMP_STACKSIZE=3g
export KMP_LIBRARY=turnaround
export MKL_SERIAL=YES
export OMP_NUM_THREADS=${BRIDGE_MSUB_NCORE}

set -x 

export machine_name=irene
export xios_dir=/ccc/cont003/home/gencmip6/wangyush/XIOS/dev_trunk_omp
export build_dir=build_mpi_intelmpi_prod

cp ../setup.py ./
cp ../run_sub_test.sh ./

python setup.py

cmake .

#ctest --output-on-failure #enable output only when test failed

ctest -V #enable all output

rm -f setup.py
rm -f run_sub_test.sh
rm -f run_test_*.py
rm -f CMakeLists.txt
rm -f context_grid_dynamico.xml
rm -f dynamico_grid.nc
rm -f default_param.pyc
rm -f user_param.pyc
rm -f user_param.py.*
